package com.qxgmat.dto.admin.request;

import com.nuliji.tools.annotation.Dto;
import com.qxgmat.data.dao.entity.UserAskQuestion;

import javax.validation.constraints.NotEmpty;

@Dto(entity = UserAskQuestion.class)
public class UserAskDto {

    @NotEmpty(message = "提问id不允许为空！")
    private Integer id;

    @NotEmpty(message = "回答不允许为空")
    private String answer;

    private Integer[] other;

    private Integer showStatus;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getAnswer() {
        return answer;
    }

    public void setAnswer(String answer) {
        this.answer = answer;
    }

    public Integer[] getOther() {
        return other;
    }

    public void setOther(Integer[] other) {
        this.other = other;
    }

    public Integer getShowStatus() {
        return showStatus;
    }

    public void setShowStatus(Integer showStatus) {
        this.showStatus = showStatus;
    }
}
